apiVersion: apps/v1
kind: Deployment
metadata:
  name: test-restapi
  labels:
    app: test-restapi
spec:
  replicas: 3
  selector:
    matchLabels:
      app: test-restapi
  template:
    metadata:
      labels:
        app: test-restapi
    spec:
      containers:
      - name: test-restapi
        image: ishaanm/restapi
        imagePullPolicy: Never
        ports:
          - containerPort: 3000

